## ros-one-fake-localization 1.17.3-4jammy.20251023.0831

=== debian/changelog ===
ros-one-fake-localization (1.17.3-4jammy.20251023.0831) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 08:31:11 +0000

ros-one-fake-localization (1.17.3-0jammy) jammy; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-fake-localization (1.17.2-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-fake-localization (1.17.1-0jammy) jammy; urgency=high

  * Fix #796 <https://github.com/ros-planning/navigation/issues/796> (#1017 <https://github.com/ros-planning/navigation/issues/1017>)
    Use ros::Time(0) instead of timestamp in message so as not to fail to lookupTransform.
  * fix isolated build, #995 <https://github.com/ros-planning/navigation/issues/995> (#997 <https://github.com/ros-planning/navigation/issues/997>)
  * Contributors: Michael Ferguson, Ryo KOYAMA

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-fake-localization (1.17.0-0jammy) jammy; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-fake-localization (1.16.6-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-fake-localization (1.16.5-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-fake-localization (1.16.4-0jammy) jammy; urgency=high

  * remove signals dep (#945 <https://github.com/cobalt-robotics/navigation/issues/945>)
    Boost > 1.7 has signals by default
  * Contributors: acxz

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-fake-localization (1.16.3-0jammy) jammy; urgency=high

  * Merge pull request #831 <https://github.com/ros-planning/navigation/issues/831> from ros-planning/feature/remove_slashes
    [melodic] Remove leading slashes from default frame_id parameters
  * Remove leading slashes from default frame_id parameters
  * Fix for #805 <https://github.com/ros-planning/navigation/issues/805> (#813 <https://github.com/ros-planning/navigation/issues/813>)
  * Contributors: David V. Lu, David V. Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-fake-localization (1.16.2-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-fake-localization (1.16.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-fake-localization (1.16.0-0jammy) jammy; urgency=high

  * Merge pull request #690 <https://github.com/ros-planning/navigation/issues/690> from ros-planning/lunar_609
    switch fake_localization to tf2.
  * Contributors: Michael Ferguson, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-fake-localization (1.15.2-0jammy) jammy; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 00:00:00 -0000

ros-one-fake-localization (1.15.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 00:00:00 -0000

ros-one-fake-localization (1.15.0-0jammy) jammy; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Contributors: Martin Günther, Mikael Arguedas, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 00:00:00 -0000

ros-one-fake-localization (1.14.0-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-one-fake-localization (1.13.1-0jammy) jammy; urgency=high

  * More tolerant initial pose transform lookup.
  * Contributors: Daniel Stonier

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 00:00:00 -0000

ros-one-fake-localization (1.13.0-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 00:00:00 -0000

ros-one-fake-localization (1.12.0-0jammy) jammy; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-fake-localization (1.11.15-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 00:00:00 -0000

ros-one-fake-localization (1.11.14-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 00:00:00 -0000

ros-one-fake-localization (1.11.13-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 00:00:00 -0000

ros-one-fake-localization (1.11.12-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-fake-localization (1.11.11-0jammy) jammy; urgency=high





=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-fake-localization//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-fake-localization 1.17.3-4jammy.20251207.2127

=== debian/changelog ===
ros-one-fake-localization (1.17.3-4jammy.20251207.2127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 07 Dec 2025 21:27:33 +0000

## ros-one-fake-localization 1.17.3-4jammy.20260221.0120

=== debian/changelog ===
ros-one-fake-localization (1.17.3-4jammy.20260221.0120) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 21 Feb 2026 01:20:48 +0000

## ros-one-fake-localization 1.17.3-4noble.20251023.0835

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(fake_localization)

find_package(catkin REQUIRED
        COMPONENTS
            angles
            geometry_msgs
            message_filters
            nav_msgs
            rosconsole
            roscpp
            rospy
            tf2_geometry_msgs
            tf2_ros
        )


find_package(Boost REQUIRED)

catkin_package(
    CATKIN_DEPENDS
        geometry_msgs
        nav_msgs
        roscpp
        rospy
)

include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_executable(fake_localization fake_localization.cpp)
target_link_libraries(fake_localization
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
    )
add_dependencies(fake_localization ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

install(
    PROGRAMS
       static_odom_broadcaster.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
    TARGETS
        fake_localization
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-fake-localization (1.17.3-4noble.20251023.0835) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 08:35:42 +0000

ros-one-fake-localization (1.17.3-0noble) noble; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-fake-localization (1.17.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-fake-localization (1.17.1-0noble) noble; urgency=high

  * Fix #796 <https://github.com/ros-planning/navigation/issues/796> (#1017 <https://github.com/ros-planning/navigation/issues/1017>)
    Use ros::Time(0) instead of timestamp in message so as not to fail to lookupTransform.
  * fix isolated build, #995 <https://github.com/ros-planning/navigation/issues/995> (#997 <https://github.com/ros-planning/navigation/issues/997>)
  * Contributors: Michael Ferguson, Ryo KOYAMA

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-fake-localization (1.17.0-0noble) noble; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-fake-localization (1.16.6-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-fake-localization (1.16.5-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-fake-localization (1.16.4-0noble) noble; urgency=high

  * remove signals dep (#945 <https://github.com/cobalt-robotics/navigation/issues/945>)
    Boost > 1.7 has signals by default
  * Contributors: acxz

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-fake-localization (1.16.3-0noble) noble; urgency=high

  * Merge pull request #831 <https://github.com/ros-planning/navigation/issues/831> from ros-planning/feature/remove_slashes
    [melodic] Remove leading slashes from default frame_id parameters
  * Remove leading slashes from default frame_id parameters
  * Fix for #805 <https://github.com/ros-planning/navigation/issues/805> (#813 <https://github.com/ros-planning/navigation/issues/813>)
  * Contributors: David V. Lu, David V. Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-fake-localization (1.16.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-fake-localization (1.16.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-fake-localization (1.16.0-0noble) noble; urgency=high

  * Merge pull request #690 <https://github.com/ros-planning/navigation/issues/690> from ros-planning/lunar_609
    switch fake_localization to tf2.
  * Contributors: Michael Ferguson, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-fake-localization (1.15.2-0noble) noble; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 00:00:00 -0000

ros-one-fake-localization (1.15.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 00:00:00 -0000

ros-one-fake-localization (1.15.0-0noble) noble; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Contributors: Martin Günther, Mikael Arguedas, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 00:00:00 -0000

ros-one-fake-localization (1.14.0-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-one-fake-localization (1.13.1-0noble) noble; urgency=high

  * More tolerant initial pose transform lookup.
  * Contributors: Daniel Stonier

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 00:00:00 -0000

ros-one-fake-localization (1.13.0-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 00:00:00 -0000

ros-one-fake-localization (1.12.0-0noble) noble; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-fake-localization (1.11.15-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 00:00:00 -0000

ros-one-fake-localization (1.11.14-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 00:00:00 -0000

ros-one-fake-localization (1.11.13-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 00:00:00 -0000

ros-one-fake-localization (1.11.12-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-fake-localization (1.11.11-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-fake-localization
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-geometry-msgs, ros-one-message-filters, ros-one-nav-msgs, ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://wiki.ros.org/fake_localization
Standards-Version: 3.9.2

Package: ros-one-fake-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-message-filters, ros-one-nav-msgs, ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-tf2-ros
Description: A ROS node that simply forwards odometry information.

## ros-one-fake-localization 1.17.3-4noble.20251208.0829

=== debian/changelog ===
ros-one-fake-localization (1.17.3-4noble.20251208.0829) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 08:29:04 +0000

## ros-one-fake-localization 1.17.3-4noble.20260221.0157

=== debian/changelog ===
ros-one-fake-localization (1.17.3-4noble.20260221.0157) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 21 Feb 2026 01:57:56 +0000
